<?php
session_start();

// Comprobar si se ha enviado el formulario
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
  // Conectar a la base de datos
  $conexion = mysqli_connect("localhost", "tuya", "Equip@Tuya,22!", "TUYAcod");

  // Verificar la conexión
  if (!$conexion) {
    die("Error al conectar a la base de datos: " . mysqli_connect_error());
  }

  // Obtener los datos del formulario
  $correo = $_SESSION['correo'];
  $codigo = $_SESSION['codigo'];
  $nombre = $_SESSION['nombre'];

  // Comprobar si el correo y el código coinciden en la base de datos
  $query = "SELECT * FROM usuarios WHERE email = ? AND codigo = ?";
  $stmt = mysqli_prepare($conexion, $query);
  mysqli_stmt_bind_param($stmt, 'ss', $correo, $codigo);
  mysqli_stmt_execute($stmt);
  $resultado = mysqli_stmt_get_result($stmt);


  if (mysqli_num_rows($resultado) == 1) {
    // Los datos son correctos, establecer la variable de sesión y redirigir a form.php
    $_SESSION['codigo_verificado'] = true;
    header("Location: form.php");
    exit();
  } else {
    // Los datos son incorrectos, mostrar error en la página
    $error = "Error: correo o código incorrectos.";
  }

  // Cerrar la conexión a la base de datos
  mysqli_close($conexion);
}
?>

<!DOCTYPE html>
<html lang="es">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Ingresar código</title>
  <link rel="stylesheet" href="estilo.css">
</head>
<body>
  <header>
    <div class="banner">
      <img src="logo_TUYA_web.png" alt="TUYA: Take Up Your Authority">
    </div>
  </header>

  <div class="container">
    <h1>Ingresar código</h1>
    <?php if (isset($error)) { ?>
      <p class="error-message"><?php echo htmlspecialchars($error); ?></p>
    <?php } ?>

    <form action="ingresar_codigo.php" method="POST">
      <label for="correo">Correo electrónico:</label>
      <input type="email" id="correo" name="correo" required>
      <br>
      <label for="codigo">Código:</label>
      <input type="text" id="codigo" name="codigo" required>
      <br>
      <input type="submit" value="Verificar código">
    </form>
  </div>

  <footer>
    <p>Todos los derechos reservados &copy; 2023</p>
  </footer>
</body>
</html>
