function validarFormulario() {
  var nombre = document.getElementById('nombre').value;
  var correo = document.getElementById('correo').value;
  var errorContainer = document.getElementById('error-container');
  errorContainer.innerHTML = ''; // Limpiar los mensajes de error anteriores

  // Validar longitud mínima y máxima del nombre
  if (nombre.length < 3 || nombre.length > 50) {
    mostrarError('nombre', 'El nombre debe tener entre 3 y 50 caracteres.');
    return false; // Evita enviar el formulario si hay errores
  }

  // Validar longitud mínima y máxima del correo electrónico
  if (correo.length < 5 || correo.length > 100) {
    mostrarError('correo', 'El correo electrónico debe tener entre 5 y 100 caracteres.');
    return false; // Evita enviar el formulario si hay errores
  }

  // Validar formato de correo electrónico válido
  var emailRegex = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;
  if (!emailRegex.test(correo)) {
    mostrarError('correo', 'El correo electrónico no tiene un formato válido.');
    return false; // Evita enviar el formulario si hay errores
  }

  return true; // Envía el formulario si no hay errores
}

function mostrarError(campo, mensaje) {
  var errorContainer = document.getElementById(campo + '-error');
  errorContainer.innerHTML = mensaje;

  var campoInput = document.getElementById(campo);
  campoInput.classList.add('input-error');
}
